%bcond_without bootstrap
%global pypi_name zope.event

Summary:        Zope Event Publication
Name:           python-zope-event
Version:        5.0
Release:        1%{?dist}
License:        ZPLv2.1
URL:            https://pypi.python.org/pypi/zope.event/
Source0:        %pypi_source

BuildArch:      noarch


%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%package -n python3-zope-event
Summary:        Zope Event Publication (Python 3)
BuildRequires:  make
BuildRequires:  python3-devel

%description -n python3-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 3.

%prep
%autosetup -n zope.event-%{version} -p1


%generate_buildrequires
%if %{with bootstrap}
%pyproject_buildrequires
%else
%pyproject_buildrequires -t
%endif

%build
%pyproject_wheel

%install
%pyproject_install

%if %{without bootstrap}
%check
%tox
%endif

%files -n python3-zope-event
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/event/
%{python3_sitelib}/zope.event-*.dist-info
%{python3_sitelib}/zope.event-*-nspkg.pth
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*

%changelog
* Thu Sep 28 2023 Wang Guodong <gordonwwang@tencent.com> - 5.0-1
- Upgrade to version 5.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 4.6-1
- initial build
